Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.labels
Interface Labelling

All Superinterfaces:
  BambooObject

All Known Implementing Classes:
  LabellingImpl

    public interface Labelling

extends BambooObject

Method Summary
`Build` | `getBuild()`
`BuildResultsSummary` | `getBuildResultsSummary()`
`Date` | `getCreationDate()`
`Label` | `getLabel()`
`Date` | `getLastModificationDate()`
`Project` | `getProject()`
`String` | `getUserName()`
`void` | `setBuild(Build build)`
`void` | `setBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `setCreationDate(Date creationDate)`
`void` | `setLabel(Label label)`
`void` | `setLastModificationDate(Date lastModificationDate)`
`void` | `setProject(Project project)`
`void` | `setUserName(String userName)`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Method Detail

### getLabel

    Label getLabel()

### setLabel

    void setLabel(Label label)

### getBuildResultsSummary

    BuildResultsSummary getBuildResultsSummary()

### setBuildResultsSummary

    void setBuildResultsSummary(BuildResultsSummary buildResultsSummary)

### getCreationDate

    Date getCreationDate()

### setCreationDate

    void setCreationDate(Date creationDate)

### getLastModificationDate

    Date getLastModificationDate()

### setLastModificationDate

    void setLastModificationDate(Date lastModificationDate)

### getProject

    Project getProject()

### setProject

    void setProject(Project project)

### getBuild

    Build getBuild()

### setBuild

    void setBuild(Build build)

### getUserName

    String getUserName()

### setUserName

    void setUserName(String userName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.